%global githash a37748b
%global gitdate 20210423

Name:           onnx-optimizer
Version:        0.2.5
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        Open Neural Network Exchange Optimizer
License:        Apache

URL:            https://github.com/onnx/optimizer
Source0:        %{name}.tar.xz

BuildRequires:  doxygen cmake gcc-c++ protobuf-devel pybind11-devel
BuildRequires:  python3-devel python3-setuptools python3-pytest-runner onnx-devel


%description
Open Neural Network Exchange Optimizer

%package devel
Summary: Development files for onnx
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for onnx.


%package python3
Summary: Python files for onnx
Requires: %{name} = %{version}-%{release}

%description python3
This package contains python files for onnx.


%prep
%setup -q -n %{name}
rm -rf third_party/onnx

%build

sed -i '/add_subdirectory(${ONNX_ROOT})/d' CMakeLists.txt

export ONNX_ML=0
export ONNX_NAMESPACE=onnx
export LDFLAGS="-lonnx_proto -lprotobuf"
export CXXFLAGS="%{optflags} -DONNX_NAMESPACE=onnx -lonnx_proto -lprotobuf"
export CMAKE_ARGS="-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=OFF -DCMAKE_BUILD_TYPE=RelWithDebug"
%{__python3} setup.py build %{?_smp_mflags}


%install
rm -rf %{buildroot}

pushd .setuptools-cmake-build
make install DESTDIR=%{buildroot}
popd

export ONNX_ML=0
export ONNX_NAMESPACE=onnx
export LDFLAGS="-lonnx_proto -lprotobuf"
export CXXFLAGS="%{optflags} -DONNX_NAMESPACE=onnx"
export CMAKE_ARGS="-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=OFF -DCMAKE_BUILD_TYPE=RelWithDebug"
%{__python3} setup.py install --root %{buildroot}


mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_includedir}/onnx
ln -sf %{_includedir}/onnxoptimizer %{buildroot}/%{_includedir}/onnx/optimizer
install -pm 0755 .setuptools-cmake-build/onnx_optimizer_exec %{buildroot}/%{_bindir}/


%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_libdir}/lib*.so*

%files devel
%{_includedir}/*
%{_libdir}/cmake/*

%files python3
%{python3_sitearch}/*


%changelog
* Tue Mar 26 2019 Balint Cristian <cristian.balint@gmail.com>
- github build
